<?php
/**
 * 机构账号管理
 * $Id: org_account_edit_result.php,v 1.1 2015/10/08 11:18:46 wanggb Exp $
 * @author wanggb
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("13")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$action_type = ParamUtil::getRequestString("action_type");
if($action_type == "new"){
  $account_mst = new AccountMst();
}
if($action_type == "edit"){
  $account_mst = AccountMst::getById($id);
  if ($account_mst == null) {
  	// エラー表示
  	$layout_pages = array();
  	$layout_pages["left"] = "menu.inc";
  	$layout_pages["right"] = "error.inc";
  	$message = "对象不存在。";
  	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
  	exit;
  }
}
$name = ParamUtil::getRequestString("name");
$login = ParamUtil::getRequestString("login");
$password = ParamUtil::getRequestString("password");
$contact = ParamUtil::getRequestString("contact");
$comment = ParamUtil::getRequestString("comment");
$uid = ParamUtil::getRequestNumber("uid");
// 登陆帐号唯一性判断
$param = array();
$param["delete_flg"] = false;
$param["login"] = $login;
$account_list = AccountMst::getList($param);
if (count($account_list) > 1) {
  $error_message = "登陆帐号已经被使用,请换一个。";
  $_SCRIPT_FILE = array("scripts/validators.js");
  // 页面表示
  $layout_pages = array();
  $layout_pages["left"] = "menu.inc";
  $layout_pages["right"] = "org_account_edit_input.inc";
  $layout_pages["menu_clicked"] = "2-1";
  require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
  exit;
}

// 数据库更新
$account_mst->login = $login;
$account_mst->password = $password;
$account_mst->name = $name;
$account_mst->contact = $contact;
$account_mst->comment = $comment;
$account_mst->user_id = $uid;
$account_mst->modules = "14";
$account_mst->role = 9;

$account_mst->save();

// 页面表示
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "org_account_edit_result.inc";
$layout_pages["menu_clicked"] = "2-1";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;